org.eclipse.net4j.util

## Class Predicates

- java.lang.Object
- - org.eclipse.net4j.util.Predicates

-     public final class Predicates
      extends java.lang.Object

  Since:
    3.3
  Author:
    Eike Stepper

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Predicates.ExcludedPredicate<T>`
    `static class` | `Predicates.IncludedPredicate<T>`
    `static class` | `Predicates.UniquePredicate<T>`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static <T> Predicate<T>` | `alwaysFalse()`
    `static <T> Predicate<T>` | `alwaysTrue()`
    `static <T> Predicate<T>` | `excluded(java.util.Set<T> exclusions)`
    `static <T> Predicate<T>` | `included(java.util.Set<T> inclusions)`
    `static <T> Predicate<T>` | `unique()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### included

          public static <T> Predicate<T> included(java.util.Set<T> inclusions)

      Since:
        3.4

    - #### excluded

          public static <T> Predicate<T> excluded(java.util.Set<T> exclusions)

      Since:
        3.4

    - #### unique

          public static <T> Predicate<T> unique()

      Since:
        3.4

    - #### alwaysFalse

          public static <T> Predicate<T> alwaysFalse()

    - #### alwaysTrue

          public static <T> Predicate<T> alwaysTrue()

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html